Skip to main content
`Ctrl`+`K`

# SVDVectorsView

Outputs computed singular vectors to a viewer.

## Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDVectorsView(SVD svd,PetscViewer viewer)

Collective

## Input Parameters

- svd - the singular value solver context

- viewer - the viewer

## Options Database Key

- -svd_view_vectors - output singular vectors

## Notes

Right and left singular vectors are interleaved, that is, the vectors are output in the following order: `V0, U0, V1, U1, V2, U2, ...`

The command-line option listed above admits an optional argument specifying the viewer type and options. For instance, use `-svd_view_vectors binary:svecs.bin` to save the vectors in a binary file.

## See Also

SVD: Singular Value Decomposition, `SVDSolve()`, `SVDValuesView()`, `SVDErrorView()`

## Level

intermediate

## Location

src/svd/interface/svdview.c

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages